MozillaZine

Firefox & Thunderbird Add-on Converter for SeaMonkey

User Help for Seamonkey and Mozilla Suite
isaacschemm
 
Posts: 268
Joined: January 20th, 2015, 12:29 pm

Post Posted June 8th, 2018, 7:04 am

Your best bet would be to try converting version 0.1.60. I don't think anything newer would work.

risk_reversal
 
Posts: 47
Joined: February 7th, 2005, 8:21 am

Post Posted June 8th, 2018, 8:57 am

Many thanks for your reply.

I tried v 0.1.60 and it installed but did not work. There was no icon adjacent to the address bar (like FF) to log into the service.

Unless there is an easy fix, I would put this in the 'did not work' catergory.

Shame as it looked like a nice extension.

Cheers

duchanhld
New Member
 
Posts: 2
Joined: June 15th, 2018, 2:16 am

Post Posted June 16th, 2018, 12:35 am

Since version 4.0, Firefox has used a dramatically different system for tabs than the one used in SeaMonkey. It may be possible that an ancient version of Tree Style Tabs... one from Firefox 3.x era might work... but it may have conflicts with other changes since then.

Frank Lion

User avatar
 
Posts: 20033
Joined: April 23rd, 2004, 6:59 pm
Location: ... The Exorcist....United Kingdom

Post Posted August 5th, 2018, 10:26 am

https://addons.thunderbird.net/en-US/se ... dons-test/

Someone needs to learn how to write an install.rdf. That is not going to install into SM using 2.49.* as a min-version, because it isn't a recognised version. The way the max-version has been done (just *) is *Sigh*

Use this in install.rdf instead -
Code: Select all
    <em:targetApplication>
      <Description>
 <!-- Seamonkey -->
      <em:id>{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}</em:id>
        <em:minVersion>2.49a1</em:minVersion>
        <em:maxVersion>2.57</em:maxVersion>
      </Description>
    </em:targetApplication>   
Metal Lion latest SeaMonkey & Thunderbird Themes - Sea Monkey and Silver Sea Monkey
"The only thing necessary for the triumph of evil, is for good men to do nothing." - Edmund Burke (attrib.)

tonymec

User avatar
 
Posts: 717
Joined: October 15th, 2004, 2:58 am
Location: Ixelles (Brussels Capital Region, Belgium)

Post Posted August 5th, 2018, 11:30 am

Frank Lion wrote:https://addons.thunderbird.net/en-US/seamonkey/addon/thunderbird-addons-test/

Someone needs to learn how to write an install.rdf. That is not going to install into SM using 2.49.* as a min-version, because it isn't a recognised version. The way the max-version has been done (just *) is *Sigh*

*Sigh* indeed; but somehow it did install here, and seems to work. Maybe its bootstrap.js was enough; or maybe it's because I have extensions.checkCompatibility.nightly and extensions.checkCompatibility.2.53 both defined as type Boolean and value false in about:config.
Best regards,
Tony

Frank Lion

User avatar
 
Posts: 20033
Joined: April 23rd, 2004, 6:59 pm
Location: ... The Exorcist....United Kingdom

Post Posted August 5th, 2018, 11:42 am

tonymec wrote:*Sigh* indeed

Reckon it's failing on the min-version for sure. You really do have to use one of the Addons site's compatibility version numbers, otherwise they just bounce. As that one did.

There's a list in the Dev Control Panel somewhere. I just click the compat box on any of my stuff and a dropdown list appears.

FWIW every single one of us has messed up min/max versions in our time (mistake is to think logically, you just follow their list instead) but they bounce on submission for review. Never seen one actually make to being listed.
Metal Lion latest SeaMonkey & Thunderbird Themes - Sea Monkey and Silver Sea Monkey
"The only thing necessary for the triumph of evil, is for good men to do nothing." - Edmund Burke (attrib.)

Return to SeaMonkey Support


Who is online

Users browsing this forum: No registered users and 2 guests